# CompGetDebt

### Description

Action that gets debt amount for a single asset on Compound for debtor.

### Action ID

`0xc6b0ab0c`

### SDK Action

```ts
const compoundGetDebtAction = new dfs.actions.compound.CompoundGetDebtAction(
    cTokenAddr,
    holderAddr
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param cTokenAddr Address of the cToken token to get the debt for
    /// @param debtorAddr Address of the debtor
    struct Params {
        address cTokenAddr;
        address debtorAddr;
    }
```

### Return Value

```solidity
return bytes32(debtAmount);
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/compound/compgetdebt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
